# 在一名玩家的抽牌阶段执行功能牌探测以及使用
execute as @a[scores={player=1..,turn=1}] at @s if entity @e[tag=game,scores={playtime=0,display=-1}] run function func:act
# 在一名玩家的非抽牌阶段返还丢出背包的功能牌
execute as @a[scores={player=1..}] at @s unless entity @e[tag=game,scores={playtime=0,display=-1}] run function func:return_item
execute as @a[scores={player=1..}] at @s unless entity @s[scores={turn=1}] run function func:return_item
# 旁观者
effect give @a[scores={player=0}] minecraft:invisibility 1 1 true
effect give @a[scores={player=0}] minecraft:weakness 21 1 true
clear @a[scores={player=0}]
replaceitem entity @a[scores={player=0}] armor.head minecraft:wither_skeleton_skull 1
execute as @a[scores={player=0}] at @s run particle minecraft:smoke ~ ~1.5 ~ 0.05 0.08 0.05 0.01 10 force @a[distance=1..]
# 开局阶段执行game:dark80s
execute as @s[tag=game,scores={playtime=0..,display=2}] run function game:dark80s
effect give @a[scores={player=1..}] minecraft:resistance 1 100 true
# 返还放入快捷栏的功能牌
function func:return_hotbar
# 控制玩家的血量在快捷栏上方的显示
function game:health
# 控制玩家分数JSON在快捷栏上的显示
function game:score
# 控制玩家数字牌牌在快捷栏的显示
function game:cards
# 抽牌阶段执行game:turn
execute as @s[tag=game,scores={display=-1}] run function game:turn
execute as @e[tag=seat_1,scores={player=1,turn=1}] at @s if entity @e[tag=game,scores={display=-1},tag=!next] run function ai:tick
execute as @e[tag=seat_2,scores={player=2,turn=1}] at @s if entity @e[tag=game,scores={display=-1},tag=!next] run function ai:tick
# 抽牌轮换执行game:dark20s
execute as @s[tag=game,scores={playtime=0..,display=3}] run function game:dark20s
# 结算双方点数阶段执行game:dark320s
execute as @s[tag=game,scores={playtime=0..,display=4}] run function game:dark320s
# 游戏结束阶段执行game:dark320s
execute as @s[tag=game,scores={playtime=0..,display=5}] run function game:dark40s
execute as @e[tag=modle] run data modify entity @s Fire set value 100s
execute as @e[tag=disnum] run data modify entity @s Fire set value 100s
# spe指显示玩家抽到功能牌的那个棕色毯子
kill @e[type=item,tag=!spe]
# 将最新抽到的牌高频模型对齐
execute as @e[tag=card,tag=init] run function game:pos
# 玩家退出立刻结束游戏
execute as @s[scores={display=..4}] unless entity @e[scores={player=1}] run function game:end
execute as @s[scores={display=..4}] unless entity @e[scores={player=2}] run function game:end
#execute as @e[tag=summonc] at @s run particle minecraft:crit ~ ~ ~ 0.01 0.01 0.01 0.01 1 force
execute as @e[tag=ai,scores={playtime=1..}] run function anim:yes
execute as @e[tag=ai,scores={playtime=..-1}] run function anim:no
